@echo off

REM [RAID_Configuration_HYPERCFG]
    rem *********************************************************************
    rem * This sample batch file configures a single IDE RAID controller. 
    rem *********************************************************************

    rem *********************************************************************
    rem * Defines the DOS RAID utility to use to configure this type of RAID
    rem * controller.   This value MUST NOT be changed.
    rem *
    rem * Valid value is: HYPERCFG
    rem *********************************************************************
    set RDTYPE=HYPERCFG

    rem *********************************************************************
    rem * Defines the RAID array stripe size.
    rem * Valid values are: 
    rem *   S"n" - Defines a RAID 0 array with stripe size "n",
    rem *          where n = 32, 64, 128, ... , 4096
    rem *   M    - Defines a RAID 1 array, mirroring.
    rem *********************************************************************
    set IMODE=M
