@echo off

rem ********************************************************************************
rem *
rem * Update-Network-Files.BAT
rem *
rem * This file reads the user's network environment variables, set in netvars.bat
rem * and updates the appropriate network files on the user's diskette.
rem *
rem * This batch file is called by the Customize-netvars.BAT.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Run to setup environment variables
rem ********************************************************************************
call a:\netvars.bat

rem ********************************************************************************
rem * Update the values in Network.ini
rem ********************************************************************************
..\utils\clini32 a:\net\network.ini /S:network /I:computername /V:%DPLY_NAME%

rem ********************************************************************************
rem * Update the values in protocol.ini :  Broadcom
rem ********************************************************************************
..\utils\clini32 a:\bcom\protocol.ini /S:NTS$NTSTS /I:NBNSAddr /V:[%SRV_IP%]
..\utils\clini32 a:\bcom\protocol.ini /S:NTS$NTSTS /I:NBDGAddr /V:[%SRV_IP%]
..\utils\clini32 a:\bcom\protocol.ini /S:NTS$NTSTS /I:GatewayAddr /V:[%SRV_GATE%]
..\utils\clini32 a:\bcom\protocol.ini /S:NTS$NTSTS /I:NetSubNetMask /V:[%SRV_MASK%]
..\utils\clini32 a:\bcom\protocol.ini /S:NTS$NTSTS /I:IPAddr /V:[%DPLY_IP%]

rem ********************************************************************************
rem * Update the values in protocol.ini :  IBM Gigabit
rem ********************************************************************************
..\utils\clini32 a:\e1000\protocol.ini /S:NTS$NTSTS /I:NBNSAddr /V:[%SRV_IP%]
..\utils\clini32 a:\e1000\protocol.ini /S:NTS$NTSTS /I:NBDGAddr /V:[%SRV_IP%]
..\utils\clini32 a:\e1000\protocol.ini /S:NTS$NTSTS /I:GatewayAddr /V:[%SRV_GATE%]
..\utils\clini32 a:\e1000\protocol.ini /S:NTS$NTSTS /I:NetSubNetMask /V:[%SRV_MASK%]
..\utils\clini32 a:\e1000\protocol.ini /S:NTS$NTSTS /I:IPAddr /V:[%DPLY_IP%]

rem ********************************************************************************
rem * Update the values in protocol.ini :  IBM 10/100
rem ********************************************************************************
..\utils\clini32 a:\e100b\protocol.ini /S:NTS$NTSTS /I:NBNSAddr /V:[%SRV_IP%]
..\utils\clini32 a:\e100b\protocol.ini /S:NTS$NTSTS /I:NBDGAddr /V:[%SRV_IP%]
..\utils\clini32 a:\e100b\protocol.ini /S:NTS$NTSTS /I:GatewayAddr /V:[%SRV_GATE%]
..\utils\clini32 a:\e100b\protocol.ini /S:NTS$NTSTS /I:NetSubNetMask /V:[%SRV_MASK%]
..\utils\clini32 a:\e100b\protocol.ini /S:NTS$NTSTS /I:IPAddr /V:[%DPLY_IP%]

