@echo off

REM [RAID_Configuration_CFG1030]
    rem *********************************************************************
    rem * This batch file configures either a LSI-1020 or LSI-1030 controller.
    rem *********************************************************************

    rem *********************************************************************
    rem * Defines the DOS RAID utility to use to configure this type of RAID
    rem * controller.   This value MUST NOT be changed.
    rem *
    rem * Valid value is: CFG1030
    rem *********************************************************************
    SET RDTYPE=CFG1030

    rem *********************************************************************
    rem * Defines the controller number to be configured.
    rem * Valid values:  1 or 2
    rem *********************************************************************
    SET DV_NUM=1

    rem *********************************************************************
    rem * Defines the size of the RAID logical drive in MB or use the
    rem * keyword - MAX
    rem *********************************************************************
    set SZ=MAX

    rem *********************************************************************
    rem * Defines the RAID level.
    rem * Valid values:
    rem *   1  - Uses data mirroring.
    rem *********************************************************************
    set RL=1

    rem *********************************************************************
    rem * Defines the SCSI ID for the each drive to be included in the
    rem * array
    rem *********************************************************************
    set SID1=0
    set SID2=1

    rem *********************************************************************
    rem * Defines whether to or not to define a hot spare drive. 
    rem * Valid values:
    rem *   N - No, do not define a hot spare drive
    rem *   Y - Yes, define a hot spare drive
    rem *********************************************************************
    set DEF_HS=N

    rem *********************************************************************
    rem * Defines the SCSI ID for the hot spare drive.
    rem *********************************************************************
    set HS_SID1=
